Bug 975957 - Calendar class defined package and directory do not match.
Calendar class defined package and directory do not match.
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kris Verlaenen
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 12:41 EDT by Marek Baluch
Modified: 2013-07-29 00:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 08:32:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-06-19 12:41:18 EDT
The class located in knowledge-api/src/main/java/org/drools/time/Calendar.java defines package org.drools.core.time instead of org.drools.time.
Comment 2 Kris Verlaenen 2013-06-19 17:33:27 EDT
Not sure this issue is actually there in Beta3:
https://github.com/droolsjbpm/drools/blob/6.0.0.Beta3/knoweldge-api-legacy5-adapter/src/main/java/org/drools/time/Calendar.java

I guess there might be some confusion with a knowledge-api module that is still there in the droolsjbpm-knowledge repository but that is not part of the built (so the code in there is never built, it's the module inside the drools repository that is producing the knowledge-api jar).
Comment 3 Marek Baluch 2013-06-20 07:29:23 EDT
That's why I included also the link to the class on the call.

https://github.com/droolsjbpm/droolsjbpm-knowledge/blob/6.0.0.Beta3/knowledge-api/src/main/java/org/drools/time/Calendar.java

If it's not built then we don't have a problem.
Comment 4 Kris Verlaenen 2013-06-20 08:26:20 EDT
It is not, as you can see here, only the kie-* modules are built:
https://github.com/droolsjbpm/droolsjbpm-knowledge/blob/6.0.0.Beta3/pom.xml#L49

I'll check with the rest of the team about safely removing the code.
Feel free to close the issue (NOTABUG?).

Kris

Note You need to log in before you can comment on or make changes to this bug.